Subject: Re: [tcpm] TCP Tuning for HTTP - update
From: Mark Nottingham <[email-masked]>
To: Joe Touch <[email-masked]>
Cc: [email-masked], Matthew Kerwin <[email-masked]>, Daniel Stenberg <[email-masked]>, Patrick McManus <[email-masked]>, Willy Tarreau <[email-masked]>, HTTP Working Group <[email-masked]>
Date: Fri, 19 Aug 2016 13:49:21 +1000
List-Id: TCP Maintenance and Minor Extensions Working Group <tcpm.ietf.org>

> On 19 Aug 2016, at 1:07 AM, Joe Touch <[email-masked]> wrote:
> 
> I do think that this doc needs to figure out whom it is speaking to, what advice they actually need, etc.
> 
> If the result is a set of recommendations that involve the word "sysctl", I remain skeptical it is appropriate as an RFC

I think there's broad agreement on both of these points.

I'm wondering if it makes sense to aim it primarily at HTTP implementers rather than administrators, with the notion that it would inform:

- Their implementation decisions
- The configuration choices they offer to administrators / users
- Their documentation (e.g., advice to their administrators when the implementation can't change the appropriate parts of the OS)

Would that help? 

If so, it might make sense to organise it into sections for clients and servers (and intermediaries, if there's anything that isn't covered by the combination of the first two). Although IIRC Daniel was already talking about doing that.

Cheers,

--
Mark Nottingham   https://www.mnot.net/